=== packager/Makefile ===
clean:
	(cd archlinux && make clean)
	(cd slackware && make clean)
	(cd snap && make clean)
