=== docs/export_example_c/Makefile ===
# This file is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.

all:
	(cd simple_example && make)
	(cd opengl_example && make)
	(cd opengl_scripting_example && make)

clean:
	(cd simple_example && make clean)
	(cd opengl_example && make clean)
	(cd opengl_scripting_example && make clean)
