=== docs/export_example_java/Makefile ===
# This file is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.

all:
	(cd simple_example && make)
	(cd jogl_example && make)
	(cd jogl_simple_scripting_example && make)

clean:
	(cd simple_example && make clean)
	(cd jogl_example && make clean)
	(cd jogl_simple_scripting_example && make clean)
