=== packager/archlinux/Makefile ===
clean:
	rm -rf pkg wdune-1* src/*
