=== packager/slackware/Makefile ===
clean:
	rm -f white_dune/wdune*.tar.bz2
