=== packager/debian/changelog ===
whitedune (1.876-1) experimental; urgency=low

  * Version 1.876 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Fri, 01 May 2020 04:06:24 +0200

whitedune (1.874-1) experimental; urgency=low

  * Version 1.874 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Thu, 12 Mar 2020 22:31:16 +0100

whitedune (1.822-1) experimental; urgency=low

  * Version 1.822 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Mon, 02 Mar 2020 16:29:35 +0100

whitedune (1.819-1) experimental; urgency=low

  * Version 1.819 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Mon, 02 Mar 2020 00:39:48 +0100

whitedune (1.814-1) experimental; urgency=low

  * Version 1.814 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Sun, 01 Mar 2020 05:08:39 +0100

whitedune (1.808-1) experimental; urgency=low

  * Version 1.808 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Sat, 29 Feb 2020 03:33:01 +0100

whitedune (1.804-1) experimental; urgency=low

  * Version 1.804 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Thu, 27 Feb 2020 17:50:26 +0100

whitedune (1.790-1) experimental; urgency=low

  * Version 1.790 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Tue, 25 Feb 2020 22:13:21 +0100

whitedune (1.789-1) experimental; urgency=low

  * Version 1.789 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Tue, 25 Feb 2020 09:33:12 +0100

whitedune (1.777-1) experimental; urgency=low

  * Version 1.777 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Sun, 23 Feb 2020 01:31:55 +0100

whitedune (1.770-1) experimental; urgency=low

  * Version 1.770 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Sat, 22 Feb 2020 17:05:17 +0100

whitedune (1.765-1) experimental; urgency=low

  * Version 1.765 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Fri, 21 Feb 2020 08:25:12 +0100

whitedune (1.758-1) experimental; urgency=low

  * Version 1.758 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Tue, 18 Feb 2020 21:11:04 +0100

whitedune (1.750-1) experimental; urgency=low

  * Version 1.750 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Sat, 15 Feb 2020 07:15:07 +0100

whitedune (1.748-1) experimental; urgency=low

  * Version 1.748 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Fri, 14 Feb 2020 21:18:28 +0100

whitedune (1.746-1) experimental; urgency=low

  * Version 1.746 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Fri, 14 Feb 2020 03:37:24 +0100

whitedune (1.734-1) experimental; urgency=low

  * Version 1.734 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Mon, 10 Feb 2020 07:54:18 +0100

whitedune (1.728-1) experimental; urgency=low

  * Version 1.728 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Sun, 09 Feb 2020 05:25:05 +0100

whitedune (1.717-1) experimental; urgency=low

  * Version 1.717 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Thu, 06 Feb 2020 09:49:31 +0100

whitedune (1.710-1) experimental; urgency=low

  * Version 1.710 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Sun, 02 Feb 2020 16:12:40 +0100

whitedune (1.708-1) experimental; urgency=low

  * Version 1.708 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Fri, 31 Jan 2020 21:41:53 +0100

whitedune (1.706-1) experimental; urgency=low

  * Version 1.706 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Fri, 31 Jan 2020 05:38:45 +0100

whitedune (1.700-1) experimental; urgency=low

  * Version 1.700 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Wed, 29 Jan 2020 06:24:55 +0100

whitedune (1.694-1) experimental; urgency=low

  * Version 1.694 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Thu, 23 Jan 2020 21:54:01 +0100

whitedune (1.686-1) experimental; urgency=low

  * Version 1.686 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti11@web.de>  Tue, 21 Jan 2020 14:43:31 +0100

whitedune (1.654-1) experimental; urgency=low

  * Version 1.654 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti@csv.ica.uni-stuttgart.de>  Mon, 23 Dec 2019 16:32:06 +0100

whitedune (1.646-1) experimental; urgency=low

  * Version 1.646 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti@csv.ica.uni-stuttgart.de>  Mon, 25 Nov 2019 22:06:59 +0100

whitedune (1.642-1) experimental; urgency=low

  * Version 1.642 debian package
    For details see the README file of the source package


