=== packager/debian/rules ===
#!/usr/bin/make -f
# debian/rules file for white-dune
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

package=wdune

build:
	$(checkdir)
	./configure --with-debian --with-optimization --prefix=/usr --with-cgalheaders --with-uninstallcomment="dpkg -P wdune" --without-devil --with-helpurl="/usr/share/doc/$(package)-docs/docs" --with-protobaseurl="/usr/share/doc/$(package)-docs/docs" --with-vrmlbrowser=view3dscene --with-checkincommand="ci" --with-x11-editor="gedit" --with-imageeditor="gimp" --with-imageeditor4kids="gpaint" --with-soundeditor=audacity
	$(MAKE) -j4
	touch build

clean:
	$(checkdir)
	rm -f build
	-$(MAKE) -i realclean
	rm -rf *~ debian/tmp debian/*~ debian/files* debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	rm -rf debian/tmp
	install -d debian/tmp/DEBIAN \
                -d debian/tmp/usr/bin/ \
		-d debian/tmp/usr/include/white_dune \
		-d debian/tmp/usr/share/doc/$(package) \
		-d debian/tmp/usr/share/applications \
		-d debian/tmp/usr/share/pixmaps \
		-d debian/tmp/usr/share/man/man1 \
		-d debian/tmp/usr/lib/menu
	install -m 755 debian/postinst debian/prerm debian/tmp/DEBIAN
	$(MAKE) CFLAGS=-O2 LDFLAGS=-s INSTALL_PROGRAM='install -c' \
		prefix=$$(pwd)/debian/tmp/usr install
	cp -a debian/copyright debian/tmp/usr/share/doc/$(package)
	cp -a debian/changelog debian/tmp/usr/share/doc/$(package)/changelog.Debian
	cd debian/tmp/usr/share/doc/$(package) && gzip -9v changelog.Debian
	cp -ar docs debian/tmp/usr/share/doc/$(package)
	find debian/tmp/usr/share/doc/$(package) -type f -print | xargs chmod 644
	cp -a man/dune.1 debian/tmp/usr/share/man/man1
	gzip -9 debian/tmp/usr/share/man/man1/dune.1
	cp -a desktop/kde/dune.desktop debian/tmp/usr/share/applications
	cp -a desktop/kde/dune.png debian/tmp/usr/share/pixmaps
	cp -a desktop/kde/dune4kids.desktop debian/tmp/usr/share/applications
	cp -a desktop/kde/dune4kids.png debian/tmp/usr/share/pixmaps
	cp -a desktop/debian/dune.xpm debian/tmp/usr/share/pixmaps
	cp -a packager/debian/menu debian/tmp/usr/lib/menu/white_dune
	dpkg-shlibdeps bin/dune
	install tools/run_dune_and_aqsis.sh debian/tmp/usr/usr/bin/ 
	install -m 644 -p include/white_dune/libC++RWD.h  debian/tmp/usr/include/white_dune/libC++RWD.h
	install -m 644 -p include/white_dune/libC++RWD_namespace.h  debian/tmp/usr/include/white_dune/libC++RWD_namespace.h
	install -m 644 -p include/white_dune/libCRWD.h  debian/tmp/usr/include/white_dune/libCRWD.h
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
#	dpkg --build debian/tmp ..

define checkdir
	test -f src/main.cpp -a -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch 

checkroot:
	$(checkdir)
#	test $$(id -u) = 0

wdune-docs: 
	dh_testdir
	dh_installdirs  -p$@
	dh_installdocs  -p$@
	dh_installman  -p$@
	dh_fixperms  -p$@
	dh_makeshlibs -p$@
	dh_installdeb  -p$@
	dh_gencontrol  -p$@
	dh_md5sums  -p$@
	dh_builddeb  -p$@

wdune: binary-arch
	dh_testdir -p$@
	dh_testroot -p$@
	dh_prep  -p$@
	dh_installdirs  -p$@
	dh_link  -p$@
	dh_compress  -p$@
	dh_fixperms  -p$@
	dh_makeshlibs -p$@
	dh_installdeb  -p$@
	dh_gencontrol  -p$@
	dh_md5sums  -p$@
	dh_builddeb  -p$@
	dh_install -p$@

.PHONY: binary binary-arch binary-indep clean checkroot
